﻿using System;
using System.Collections.Generic;
using System.Text;

namespace PerfectCS_2012
{
    delegate void MusicStartedDelegate(int musicIndex, Music music);

    // --------
    abstract class DigitalPlayer : MusicPlayer, IDigitalPlayer
    {
        public DigitalPlayer()
        {
        }
        public DigitalPlayer(MusicAlbum musicAlbum)
            : base(musicAlbum)
        {
            m_musicIndex = 0;
        }

        // --------
        private int m_musicIndex;

        // --------
        public bool PlayMusic(int musicIndex)
        {
            this.MusicIndex = musicIndex;
            return PlayMusic();
        }
        // --------
        public void SkipMusic(int skipIndex)
        {
            this.MusicIndex += skipIndex;
            this.Play();
        }
        // --------
        public int MusicIndex
        {
            get { return m_musicIndex; }
            set { m_musicIndex = value; }
        }
        // --------
        public abstract bool PlayMusic();

        // --------
        public event MusicStartedDelegate MusicStartedEvent;
        // --------
        public override void Play()
        {
            int musicIndex = this.MusicIndex;
            while (musicIndex < this.MusicAlbum.Musics.Length)
            {
                Music music = this.MusicAlbum[musicIndex];
#if false
                if (this.MusicStartedEvent != null) { this.MusicStartedEvent(musicIndex, music); }
#else
                foreach (MusicStartedDelegate musicStartedDelegate in this.MusicStartedEvent.GetInvocationList())
                {
                    musicStartedDelegate(musicIndex, music);
                }
#endif
                this.PlayMusic(musicIndex);
                musicIndex++;
            }
       }
    }
}
