﻿using System;
using System.Web;
using System.Web.UI;

namespace StateManagement
{
    public class UseControlStateCustomControl : Control, IPostBackEventHandler
    {
        // Control Stateに保存する値（プロパティ）
        int _currentIndex = 0;
        protected override void OnInit(EventArgs e)
        {
            // ページに対して自分（SimpleCustomControl）がControl Stateを必要とすることを宣言します
            Page.RegisterRequiresControlState(this);
            //…
            base.OnInit(e);
        }
        // Control Stateのセーブメソッドをオーバーライド
        protected override object SaveControlState()
        {
            object[] states = new object[2];
            states[0] = base.SaveControlState();
            states[1] = _currentIndex;
            return states;
        }
        // Control Stateのロードメソッドをオーバーライド
        protected override void LoadControlState(object savedState)
        {
            object[] states = (object[])savedState;
            base.LoadControlState(states[0]);
            _currentIndex = (int)states[1];
        }

        public void RaisePostBackEvent(string eventArgument)
        {
            //...
        }
    }
}