﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

using Part3._15.ModelBindingSample.Models;

namespace Part3._15.ModelBindingSample.Controllers
{
    public class DataTransController : Controller
    {
        // 入力ビュー表示
        // GET: /DataTrans/Index/
        public ActionResult Index()
        {
            return View();
        }
        // 入力内容POST先
        // POST: /DataTrans/SaveByRequest/
        [HttpPost]
        public ActionResult SaveByRequest()
        {
            // Request[]で送信データを取得
            this.ViewBag.CPU = this.Request["CPU"];
            this.ViewBag.Memory = this.Request["Memory"];
            this.ViewBag.PowerSupplySize = this.Request["PowerSupplySize"];
            return View("ReceiveData");
        }

        [HttpPost]
        public ActionResult SaveByPremitiveBind
        (string cpu,
        int memory,
        int powerSupplySize)
        {
            this.ViewBag.CPU = cpu;
            this.ViewBag.Memory = memory;
            this.ViewBag.PowerSupplySize = powerSupplySize;
            return View("ReceiveData");
        }
        
        [HttpPost]
        public ActionResult SaveByCompositeBind(Computer computer)
        {
            this.ViewBag.CPU = computer.Cpu;
            this.ViewBag.Memory = computer.Memory;
            this.ViewBag.PowerSupplySize = computer.PowerSupplySize;
            return View("ReceiveData");
        }
    }
}
