﻿using System;
using System.Diagnostics;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Threading.Tasks;
using System.Windows;

namespace Part4._16.Fundamental
{
    /// <summary>
    /// App.xaml の相互作用ロジック
    /// </summary>
    public partial class App : Application
    {
        // アプリケーション開始時に発生
        private void Application_Startup( object sender, StartupEventArgs e)
        {
            Debug.WriteLine("Startup");
            foreach (string s in e.Args)
            { // パラメータの列挙
                Debug.WriteLine(s);
            }
        }

        // アプリケーション終了時に発生
        private void Application_Exit(object sender, ExitEventArgs e)
        {
            Debug.WriteLine("Exit");
        }

        // アプリケーションアクティブ化時に発生
        private void Application_Activated(object sender, EventArgs e)
        {
            Debug.WriteLine("Activated");
        }

        // アプリケーション非アクティブ化時に発生
        private void Application_Deactivated(object sender, EventArgs e)
        {
            Debug.WriteLine("Deactivated");
        }

        // 未処理の例外発生時に発生
        private void Application_DispatcherUnhandledException(object sender,System.Windows.Threading.DispatcherUnhandledExceptionEventArgs e)
        {
            Debug.WriteLine("DispatcherUnhandledException");
            Debug.WriteLine(e.Exception.StackTrace);
            // ...
            // エラー情報をログファイル等へ保存
            // ...
            e.Handled = true; // 例外を処理済みとマークする
        }
    }
}