﻿using System;
using System.Windows;
using System.Windows.Threading;
using System.Diagnostics;

namespace WpfApplication
{
    public partial class App : System.Windows.Application
    {
        public void OnStartup(object sender, StartupEventArgs e)
        {
            Debug.WriteLine("OnStartup");
            foreach (string s in e.Args)
            { // パラメータの列挙
                Debug.WriteLine(s);
            }
        }
        public void OnExit(object sender, ExitEventArgs e)
        {
            e.ApplicationExitCode = 1;
            Debug.WriteLine("OnExit");
        }
        public void OnActivated(object sender, EventArgs e)
        {
            Debug.WriteLine("OnActivated");
        }
        public void OnDeactivated(object sender, EventArgs e)
        {
            Debug.WriteLine("OnDeactivated");
        }
        public void OnException(object sender, DispatcherUnhandledExceptionEventArgs e)
        {
            Debug.WriteLine("OnException");
            Debug.WriteLine(e.Exception.StackTrace);
            e.Handled = true; // 例外を処理済みに設定
        }
    }
}