﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace WpfApplication
{
    /// <summary>
    /// MessageBoxSample.xaml の相互作用ロジック
    /// </summary>
    public partial class MessageBoxSample : Window
    {
        public MessageBoxSample()
        {
            InitializeComponent();
        }

        private void btnSimpleMessageBox_Click(object sender, RoutedEventArgs e)
        {
            MessageBox.Show("シンプルなメッセージボックスです。");
        }

        private void btnMessageBox1_Click(object sender, RoutedEventArgs e)
        {
            MessageBox.Show(
                this, // オーナーウィンドウ
                "本当に削除してよろしいですか？", // メッセージ
                "削除確認", // キャプション
                MessageBoxButton.YesNo, // 表示するボタンの種類（はい・いいえ）
                MessageBoxImage.Question, // アイコン（？アイコン）
                MessageBoxResult.No); // 既定で選択されているボタン（いいえ）
        }

        private void btnMessageResult_Click(object sender, RoutedEventArgs e)
        {
            MessageBoxResult result =
                MessageBox.Show(
                    this, // オーナーウィンドウ
                    "本当に削除してよろしいですか？", // メッセージ
                    "削除確認", // キャプション
                    MessageBoxButton.YesNo, // 表示するボタンの種類（はい・いいえ）
                    MessageBoxImage.Question, // アイコン（？アイコン）
                    MessageBoxResult.No); // 既定で選択されているボタン（いいえ）
            if( MessageBoxResult.Yes == result )
            { // はい画選択された場合だけ処理を行う
                //...削除処理を実行
                MessageBox.Show("はい が選択されました");
            }
        }
    }
}
