﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace ControlSample
{
    /// <summary>
    /// ListBoxSample.xaml の相互作用ロジック
    /// </summary>
    public partial class ListBoxSample : Window
    {
        public ListBoxSample()
        {
            InitializeComponent();

            // コードで項目を追加（単純なstringを項目として追加）
            lstCode.Items.Add("Item1");
            lstCode.Items.Add("Item2");
            lstCode.Items.Add("Item3");
        }

        private void lstSimple_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            // イベント引数の使用
            Console.WriteLine("-- 選択変更イベント発生 --");
            Console.WriteLine("- 追加された選択項目 -");
            foreach (ListBoxItem add in e.AddedItems)
            {
                Console.WriteLine(add.Content.ToString());
            }

            Console.WriteLine("- 削除された選択項目 -");
            foreach (ListBoxItem remove in e.RemovedItems)
            {
                Console.WriteLine(remove.Content.ToString());
            }
            Console.WriteLine("-- end --");

            // SelectedItemsプロパティの使用
            Console.WriteLine("-- SelectedItemsを取得");
            foreach (ListBoxItem item in lstSimple.SelectedItems)
            {
                Console.WriteLine(item.Content.ToString());
            }
            Console.WriteLine("-- end --");
        }
    }
}
