﻿using System;
using System.ComponentModel;
using System.Collections.Generic;

namespace DataBindSample
{
    public class ToDo : INotifyPropertyChanged
    {
        /// <summary>
        /// 件名
        /// </summary>
        public string Title
        {
            get { return this._title; }
            set { 
                this._title = value;
                NotifyPropertyChange("Title");
            }
        }
        private string _title;

        /// <summary>
        /// 日付
        /// </summary>
        public DateTime DateTime
        {
            get { return this._dateTime; }
            set { 
                this._dateTime = value;
                NotifyPropertyChange("DateTime");
            }
        }
        private DateTime _dateTime;

        /// <summary>
        /// プライオリティ
        /// </summary>
        public int Priority
        {
            get { return this._priority; }
            set { 
                this._priority = value;
                NotifyPropertyChange("Priority");
            }
        }
        private int _priority;

        #region INotifyPropertyChanged メンバ

        public event PropertyChangedEventHandler PropertyChanged;

        #endregion

        protected void NotifyPropertyChange(string propertyName)
        {
            if (null != this.PropertyChanged)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
